[maxscale]
threads=1

[Galera Monitor]
type=monitor
module=galeramon
servers=server1,server2,server3
user=<user>
passwd=<pwd>
monitor_interval=1000

[qla]
type=filter
module=qlafilter
options=/tmp/QueryLog

[RW Split Router]
type=service
router=readwritesplit
servers=server1,server2,server3
user=<user>
passwd=<pwd>
localhost_match_wildcard_host=1
max_slave_connections=100%
use_sql_variables_in=master
router_options=slave_selection_criteria=LEAST_CURRENT_OPERATIONS,disable_sescmd_history=true

[MaxInfo]
type=service
router=maxinfo
user=monitor
passwd=<pwd>

[MaxInfo JSON Listener]
type=listener
service=MaxInfo
protocol=HTTPD
port=8003

[CLI]
type=service
router=cli

[RW Split Listener]
type=listener
service=RW Split Router
protocol=MySQLClient
socket=/tmp/maxscale.sock
port=3306

[CLI Listener]
type=listener
service=CLI
protocol=maxscaled
port=6603

[server1]
type=server
address=galera1
port=3306
protocol=MySQLBackend

[server2]
type=server
address=galera2
port=3306
protocol=MySQLBackend

[server3]
type=server
address=galera3
port=3306
protocol=MySQLBackend
